<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_loc.inc.php");
include_once("../inc/fic_tac.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
$_SESSION["typ_filtres"] = "coloc";

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = "";
if (isset($_GET['fi']) && (trim($_GET['fi']) <> ""))
    $fi = intval($_GET['fi']);
$tab_cli = [];
if (@$_SESSION["niv_log"] == 1)
    $tab_cli = give_tab_rcli($_SESSION["code_log"], TRUE);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Liste Contrats Locations"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg','');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
include_once("../inc/entete.inc.php");
if (@$_SESSION["niv_log"] >= 5)
    echo '<p align="center"><span class="titrepage">' . _("LISTE DES CONTRATS DE LOCATION") . '</span></p>';
else
    echo '<p align="center"><span class="titrepage">' . _("VOS CONTRATS DE LOCATION") . '</span></p>';
if (url_ok('coloc_lsti.php', TRUE) == TRUE)
    $fic_imp = "coloc_lsti.php";
else
    $fic_imp = "";

if ((@$_SESSION["niv_log"] <> 1) AND (@$_SESSION["niv_log"] <> 11) AND (@$_SESSION["niv_log"] <> 10)) {
    if (url_ok('cli_lst.php?td=loc', TRUE) == TRUE)
        $url_add = "cli_lst.php?td=loc";
    else
        $url_add = "";
} else
    $url_add = "";
$url_rss = lien_rss(@$_SESSION["code_log"], @$_SESSION["niv_log"], "coloc");

$tab_fi = $tab_fi_coloc_full;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstcoloc($fi, $tab_cli);
$rech .= crestr_triord($coloc_titre_col, "coloc_code", FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);

$db->disconnect();

if ($rows) {
    include_once("formr.inc.php");
    $numrows = count($rows);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

    $rech = modstr_triord($rech, $coloc_titre_col, "coloc_code", TRUE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table
    echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

    // création entête
    titlst($coloc_titre_col);
    echo "<th>" . _("Cliquer") . "</th>\n";

    $i = 0;

    foreach ($rows as $row) {
        $row = encode_str($row);
        // Affichage résumé contrat location

        // création de l'entête de ligne (TR)
        creetrlst($i);

        echo "<td>";
        echo $row["coloc_code"];

        $nb_pdtloc = nb_pdtloc_in_coloc($row["coloc_code"], FALSE);

        // CREATION d'icône si terminé
        if (datetolocal($row["coloc_dateclos"]) == "") {
            if (all_pdtloc_ret_in_coloc($row["coloc_code"], FALSE) == TRUE) {
                $row["coloc_dateclos"] = lastdate_ret_in_coloc($row["coloc_code"], FALSE);
                clot_coloc($row["coloc_code"], $row["coloc_dateclos"], FALSE);
            }
        }

        if (datetolocal($row["coloc_dateclos"]) <> "") {
            $lst_fini = TRUE;
            echo ' <img src="../img/warn.png" title ="' . _("terminé le") . ' ' . datetolocal($row["coloc_dateclos"]) . '" border="0" align="absmiddle">';
        }

        // icône si pas de produit dans le contrat
        if ($nb_pdtloc == 0)
            echo ' <img src="../img/nopdt.png" title ="' . _("Aucun produit dans ce contrat") . '" border="0" align="absmiddle">';

        if (@$_SESSION["niv_log"] <> 1) {
            // icône si tâche rattachée
            $nb_tac_actives = nb_tac_actives(3, $row["coloc_code"], FALSE);
            if ($nb_tac_actives > 0) {
                $url_taclst = "tac_lst.php?ord=DES&tri=Code&fi=5&search=" . $row["coloc_code"];
                $txt_tac = $nb_tac_actives . " ";
                if ($nb_tac_actives > 1) {
                    $txt_tac .= _("tâches");
                    $txt_tac .= " " . _("non terminées");
                } else {
                    $txt_tac .= _("tâche");
                    $txt_tac .= " " . _("non terminée");
                }
                $txt_tac .= " (" . _("cliquez pour la liste des tâches rattachées à ce contrat") . ")";
                if (url_ok($url_taclst, FALSE) == TRUE)
                    echo " <a href=\"" . $url_taclst . "\"><img src=\"../img/tacwarn.png\" title=\"" . $txt_tac . "\" border=\"0\" align=\"absmiddle\"></a>";
                else
                    echo " <img src=\"../img/tacwarn.png\" title=\"" . $txt_tac . "\" border=\"0\" align=\"absmiddle\">";
            }
        }

        // Géré par
        if ((@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 4)) {
            echo "<br />";
            echo "<span class=\"annot_petit_it\">";
            $txt = formatetxt($row["coloc_codeage"]);
            echo "->" . _("Agence") . " : " . $txt;
            echo "</span>";
        }
        echo "</td>\n";

        echo "<td>";
        echo $row["coloc_codecli"];
        // Affichage détail contact
        $detailcli = "->";
        switch ($row["coloc_typcli"]) {
            // Client
            case 0 :
                if ((@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 4)) {
                    if (url_ok('cli_maj.php?td=edit&cc=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], FALSE) == TRUE)
                        cre_falselnk_img('', 'cli_edit_'.$row["coloc_id"], 'span', 'center', _("Edition client"), 'lnk', 'cli_maj.php?td=edit&cc=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], '../img/edit.png');
                }
                if ($row["cli_ste"] <> "")
                    $detailcli .= $row["cli_ste"] . ", ";
                $detailcli .= $row["cli_civilite"] . " " . $row["cli_nom"];
                break;
            // Agence
            case 1 :
                if ((@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 4)) {
                    if (url_ok('age_maj.php?td=edit&code=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], FALSE) == TRUE)
                        cre_falselnk_img('', 'age_edit_'.$row["coloc_id"], 'span', 'center', _("Edition agence"), 'lnk', 'age_maj.php?td=edit&code=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], '../img/edit.png');
                }
                $detailcli .= $row["cli_ste"] . ", ";
                $detailcli .= $row["cli_civilite"] . " " . $row["cli_nom"];
                break;
            // Technicien
            case 2 :
            case 4 :
                if ((@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 4)) {
                    if (url_ok('tec_maj.php?td=edit&code=' . $row["coloc_codecli"], FALSE) == TRUE) {
                        if ($row["coloc_typcli"] == 2)
                            $tl = 1;
                        else
                            $tl =3;
                        cre_falselnk_img('', 'tec_edit_'.$row["coloc_id"], 'span', 'center', _("Edition technicien"), 'lnk', 'tec_maj.php?td=edit&code=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"].'&tl='.$tl, '../img/edit.png');
                    }
                }
                $detailcli .= $row["cli_civilite"] . " " . $row["cli_nom"];
                break;
            case 3 :
                if ((@$_SESSION["niv_log"] <> 3) AND (@$_SESSION["niv_log"] <> 4)) {
                    if (url_ok('st_maj.php?td=edit&code=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], FALSE) == TRUE)
                        cre_falselnk_img('', 'st_edit_'.$row["coloc_id"], 'span', 'center', _("Edition sous-traitant"), 'lnk', 'st_maj.php?td=edit&code=' . $row["coloc_codecli"] . '&dep=' . $row["cli_dep"], '../img/edit.png');
                }
                $detailcli .= $row["cli_ste"] . ", ";
                $detailcli .= $row["cli_civilite"] . " " . $row["cli_nom"];
                break;
        }
        echo "<br />";
        echo "<span class=\"annot_petit_it\">";
        echo $detailcli;
        echo "</span>";
        // Fin affichage détail contact
        echo "</td>\n";

        // début
        echo "<td align=\"center\">";
        if (datetolocal($row["coloc_datedeb"]) <> "")
            echo datetolocal($row["coloc_datedeb"]);
        else
            echo "-";
        echo "</td>\n";

        // Fin
        echo "<td align=\"center\">";
        if (datetolocal($row["coloc_datefin"]) <> "")
            echo datetolocal($row["coloc_datefin"]);
        else
            echo "-";
        echo "</td>\n";

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo "<td>";
        echo "<div align=\"center\">";

        if (@$_SESSION["niv_log"] <> 1) {
            if (datetolocal($row["coloc_dateclos"]) == "") {
                if (url_ok('coloc_maj.php?td=edit', FALSE) == TRUE) {
                    $lst_maj = TRUE;
                    cre_falselnk_img('', 'coloc_edit_'.$row["coloc_id"], 'span', 'center', _("Edition"), 'lnk', 'coloc_maj.php?td=edit&tc=' . $row["coloc_typcli"] . '&co=' . $row["coloc_code"] . '&cc=' . $row["coloc_codecli"] . '&ca=' . $row["coloc_codeage"], '../img/edit.png');
                    echo " ";
                }
            } else {
                if (url_ok('coloc_maj.php?td=view', FALSE) == TRUE) {
                    $lst_voir = TRUE;
                    cre_falselnk_img('', 'coloc_view_'.$row["coloc_id"], 'span', 'center', _("Visualisation"), 'lnk', 'coloc_maj.php?td=view&tc=' . $row["coloc_typcli"] . '&co=' . $row["coloc_code"] . '&cc=' . $row["coloc_codecli"] . '&ca=' . $row["coloc_codeage"], '../img/eye.png');
                    echo " ";
                }
            }
        } else {
            if (url_ok('coloc_maj.php?td=view', FALSE) == TRUE) {
                $lst_voir = TRUE;
                cre_falselnk_img('', 'coloc_view_'.$row["coloc_id"], 'span', 'center', _("Visualisation"), 'lnk', 'coloc_maj.php?td=view&tc=' . $row["coloc_typcli"] . '&co=' . $row["coloc_code"] . '&cc=' . $row["coloc_codecli"] . '&ca=' . $row["coloc_codeage"], '../img/eye.png');
                echo " ";
            }
        }

        if (($nb_pdtloc > 0) AND ($_SESSION["niv_log"] <> 1)) {
            $urlimp = "coloc_pdf.php?cl=" . $row["coloc_code"];
            if (url_ok($urlimp, FALSE) == TRUE) {
                $lst_imp = TRUE;
                cre_falselnk_img('', 'coloc_prn_'.$row["coloc_id"], 'span', 'center', _("Imprimer"), 'lnkpop', $urlimp, '../img/print.png');
            }
        }

        if (@$_SESSION["niv_log"] <> 1) {
            if (datetolocal($row["coloc_dateclos"]) == "") {
                if (url_ok('coloc_maj.php?td=del', FALSE) == TRUE) {
                    $lst_del = TRUE;
                    cre_falselnk_img('', 'coloc_del_'.$row["coloc_id"], 'span', 'center', _("Suppression"), 'lnk', 'coloc_maj.php?td=del&tc=' . $row["coloc_typcli"] . '&co=' . $row["coloc_code"] . '&cc=' . $row["coloc_codecli"] . '&ca=' . $row["coloc_codeage"], '../img/del.png');
                }
            }
        }
        echo "</div>";
        echo "</td>\n";

        echo "</tr>\n";
        // Fin affichage résumé intervention

        $i++;
    }
    echo "</table>\n";
    // *** Fin affichage de la table

    $db->disconnect();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = "";
    include_once("piedla.inc.php");
} else
    retpp();

include_once("pied.php");
?>
</body>
</html>